## libnss-mysql 1.6.1

=== debian/changelog ===
libnss-mysql (1.6.1-5) unstable; urgency=medium

  * Upgrade watch to v5.
  * Run wrap-and-sort -sabkt.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 11 Sep 2025 12:51:27 +0200

libnss-mysql (1.6.1-4) unstable; urgency=medium

  [ Luke Yasuda ]
  * d/control: change my name

  [ Mateus Rodrigues de Morais ]
  * d/rules: set std to gnu17 to fix FTBFS with gcc-15 (Closes: #1113802)

 -- Luke Yasuda <jing@jing.rocks>  Thu, 11 Sep 2025 18:41:49 +0900

libnss-mysql (1.6.1-3) unstable; urgency=medium

  [ Simon Quigley ]
  * Fix FTBFS with later versions of MySQL which replace my_bool with the
    standard C bool.

  [ Simon Josefsson ]
  * Standards-Version: 4.7.2.
  * Add debian/salsa-ci.yml.
  * Add DEP3 patch tags.
  * Improve fix-ftbfs bool patch with stdbool.h include.
  * Add pthread-once-hurd.patch.  Closes: #1098480.
  * Bump debian/* copyright years.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 16 Aug 2025 21:09:37 +0200

libnss-mysql (1.6.1-2) unstable; urgency=medium

  * Source-only upload for testing migration.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 11 Feb 2025 22:53:59 +0100

libnss-mysql (1.6.1-1) unstable; urgency=medium

  * New maintainer (Closes: #1089750)
  * d/control: rename the package to libnss-mysql
  * d/control: upgrade debhelper-compat to 13
  * d/control: upgrade standards version to 4.7.0
  * d/control: add Simon as the co-maintainer
  * d/control: change package description
  * d/control: add Vcs-Browser and Vcs-Git fields
  * d/control: explicitly say no to Rules-Requires-Root
  * d/control: update Vcs-* URLs
  * d/copyright: rewrite in DEP-5 format
  * d/watch: add a watch file to scan upstream
  * d/gbp.conf: add a gbp.conf to make maintainer's life easier
  * d/rules: remove unneeded override_dh_install
  * d/rules: do not install .la file and symlink to shlibs
  * d/rules: enable extra hardening bindnow and add -Wall to CFLAGS
  * d/patches: refresh patches and add DEP-3 tags
  * cleanup debian/* for the package rename
  * d/libnss-mysql.docs: update to the latest upstream version
  * d/nss: use dh_installnss to inject mysql into nsswitch.conf
  * d/install: remove it to fix FTBFS
  * d/u/*: add upstream signing key
  * d/u/*: add upstream metadata
  * add lintian override entries for the source
  * add lintian override entries
  * New upstream version 1.6.1
  * drop "check shadow" patch
  * forward-port a patch that fixes group entry skipped on buffer resize.
    Thanks to Sylvain Beucler

 -- Jing Luo <jing@jing.rocks>  Thu, 19 Dec 2024 21:03:36 +0900

libnss-mysql (1.6.0-1) aramo; urgency=medium

  * Build for Trisuel 11 Aramo.

 -- Bob Proulx <bob@proulx.com>  Fri, 13 Sep 2024 14:07:27 -0400

libnss-mysql-bg (1.5-2.0~sv1) stretch; urgency=medium

  * Build for Stretch.
  * debian/control: build with libmariadbclient-dev-compat
  * debian/patches: Remove 02_autotools.dpatch
  * debian/rules: update config.guess config.sub

 -- Bob Proulx <bob@proulx.com>  Sun, 16 Jun 2019 23:05:40 -0600

libnss-mysql-bg (1.5-5) unstable; urgency=medium

  * QA upload.
  * Switch to default-libmysqlclient-dev.  (Closes: #845865)
  * Switch to debhelper compat level 10.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 12 Dec 2016 02:38:36 +0100

libnss-mysql-bg (1.5-4) unstable; urgency=medium

  [ Andreas Beckmann ]
  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #731759)
  * d/control: Use ${misc:Pre-Depends} instead of hardcoding
    multiarch-support.

  [ Hideki Yamane ]
  * debian/control
    - s/libmysqlclient15-dev/libmysqlclient-dev/ to fix FTBFS (Closes: #790453)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 18 Jul 2015 16:27:05 +0200

libnss-mysql-bg (1.5-3) unstable; urgency=low

  * Add patch from Harald Weidner to follow the Debian policy in the way shadow
    passwords are handled (make use of group shadow) (closes: #641404)
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt"
    (closes: #664438)
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Use mysql_config to find mysql libdir when libmysqlclient is multi-arch
    (closes: #649938)
  * Lintian cleanup (ancient-autotools-helper-file,
    debhelper-but-no-misc-depends, package-name-doesnt-match-sonames,
    spelling-error-in-description)

 -- Emmanuel Lacour <elacour@home-dn.net>  Wed, 18 Apr 2012 11:49:33 +0200

libnss-mysql-bg (1.5-2) unstable; urgency=low

  * debian/rules: add binary-indep target (closes: #395712)
  * debian/control: update Standards-Version
  * debian/compat, debian/control: update debhelper compat
  * debian/patchs/02_autotools.dpatch: update libtool/autoconf/aclocal files
    (closes: #542076)

 -- Emmanuel Lacour <elacour@home-dn.net>  Wed, 19 Aug 2009 09:58:05 +0200

libnss-mysql-bg (1.5-1) unstable; urgency=low

  * New upstream release
  * debian/control: built with libmysqlclient15-dev (closes: #343773)
  * debian/control: typo (closes: #300017)

 -- Emmanuel Lacour <elacour@home-dn.net>  Sun, 12 Feb 2006 21:03:46 +0100

libnss-mysql-bg (1.3-2) unstable; urgency=high

  * debian/control: built with libmysqlclient12-dev.
    (for libmysqlclient10 -> libmysqlclient12 transition)
  * debian/control: move "Section" from "Package" to "Source" section.

 -- Emmanuel Lacour <elacour@home-dn.net>  Sun,  6 Mar 2005 19:49:59 +0100

libnss-mysql-bg (1.3-1) unstable; urgency=low

  * New upstream release

 -- Emmanuel Lacour <elacour@home-dn.net>  Mon, 22 Nov 2004 19:35:00 +0100

libnss-mysql-bg (1.2-3) unstable; urgency=low

  * Built with libmysqlclient10-dev. closes: #274492

 -- Emmanuel Lacour <elacour@home-dn.net>  Sun,  3 Oct 2004 22:55:43 +0200

libnss-mysql-bg (1.2-2) unstable; urgency=low

  * debian/control: fix Standards-Version and description
  * debian/rules: cleanup config.log on in "clean" target

 -- Emmanuel Lacour <elacour@home-dn.net>  Sun, 29 Aug 2004 11:44:28 +0200

libnss-mysql-bg (1.2-1) unstable; urgency=low

  * New upstream release


