=== debian/control ===
Source: libnss-mysql
Section: admin
Priority: optional
Maintainer: Luke Yasuda <jing@jing.rocks>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-installnss,
 default-libmysqlclient-dev,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/libnss-mysql
Vcs-Git: https://salsa.debian.org/debian/libnss-mysql.git

Package: libnss-mysql
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 default-mysql-server,
 libpam-mysql,
Conflicts:
 libnss-mysql-bg,
Replaces:
 libnss-mysql-bg,
Description: NSS module for using MySQL/MariaDB as a naming service
 libnss-mysql provides a Name Service Switch module that allows MySQL/MariaDB
 to act as a name service.
 .
 Its configuration is very flexible by allowing to set an SQL query per NSS
 call (getpwnam, getpwuid, ...).
 .
 It currently supports storage of passwd, group and shadow information.
