=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# extra hardening and stuff
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow qa=+bug
export DEB_CFLAGS_MAINT_APPEND = -Wall -std=gnu17

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	find debian -name "libnss_mysql.la" -exec rm {} +
	find debian -name "libnss_mysql.so" -exec rm {} +

override_dh_lintian: debian/libnss-mysql.lintian-overrides
	dh_lintian

%.lintian-overrides: %.lintian-overrides.in
	sed -e 's!@@DEB_HOST_MULTIARCH@@!$(DEB_HOST_MULTIARCH)!g' $< >$@
