=== debian/watch ===
Version: 5

Source: git://git.savannah.gnu.org/administration/libnss-mysql.git
Matching-Pattern: refs/tags/rel(.*)
Dversionmangle: auto
Gitmode: shallow
Mode: git
Pgpmode: gittag
Uversionmangle: s|-|.|g
